<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Junit_Test.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Junit_Test</a> &gt; <a href="index.source.html" class="el_package">com.mycompany.junit_test</a> &gt; <span class="el_source">Junit_Test.java</span></div><h1>Junit_Test.java</h1><pre class="source lang-java linenums">/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.mycompany.junit_test;

/**
 *
 * @author kahina
 */
<span class="nc" id="L11">public class Junit_Test {</span>

    public static void main(String[] args) {
<span class="nc" id="L14">        Calculatrice calc = new Calculatrice();</span>
        
<span class="nc" id="L16">        System.out.println(calc.addition(1, 3));</span>
<span class="nc" id="L17">        System.out.println(calc.addition(-1, 3));</span>
<span class="nc" id="L18">        System.out.println(calc.addition(0, 3));</span>
<span class="nc" id="L19">        System.out.println(calc.soustraction(1, 3));</span>
<span class="nc" id="L20">        System.out.println(calc.soustraction(3, 1));</span>
<span class="nc" id="L21">        System.out.println(calc.soustraction(1, -3));</span>
<span class="nc" id="L22">        System.out.println(calc.multiplication(1, 3));</span>
<span class="nc" id="L23">        System.out.println(calc.multiplication(-1, 3));</span>
<span class="nc" id="L24">        System.out.println(calc.division(2, 3));</span>
<span class="nc" id="L25">        System.out.println(calc.division(-2, 3));</span>
<span class="nc" id="L26">        System.out.println(calc.division(2, 1));</span>
        
        
<span class="nc" id="L29">        System.out.println(&quot;Factorielle: &quot; + calc.factoIte(4));</span>
<span class="nc" id="L30">        System.out.println(&quot;Factorielle: &quot; + calc.factoRec(4));</span>
<span class="nc" id="L31">        System.out.println(&quot;Factorielle: &quot; + calc.factoIte(1));</span>
<span class="nc" id="L32">        System.out.println(&quot;Factorielle: &quot; + calc.factoIte(0));</span>







<span class="nc" id="L40">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>